Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditor.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditor.java	(revision 553)
@@ -73,7 +73,7 @@
 		parent.setLayout(parentLayout);
 
 //		Lexicon lexicon = null; // ((LexicalTableEditorInput)getEditorInput()).getLexicon();
-		Property property = ((LexicalTableEditorInput) getEditorInput()).getProperty();
+		Property property = ((___LexicalTableEditorInput) getEditorInput()).getProperty();
 
 		Composite corpusInfo = new Composite(parent, SWT.NONE);
 		GridLayout corpusInfoLayout = new GridLayout(1, false);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 0)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 553)
@@ -0,0 +1,171 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.lexicaltable.rcp.editors;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.eclipse.jface.viewers.IStructuredContentProvider;
+import org.eclipse.jface.viewers.ITableLabelProvider;
+import org.eclipse.jface.viewers.LabelProvider;
+import org.eclipse.jface.viewers.Viewer;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.graphics.Image;
+import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.part.EditorPart;
+import org.txm.lexicaltable.core.functions.LexicalTable;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.editors.Tablable;
+import org.txm.rcp.editors.input.AbstractTablable;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.statsengine.core.StatException;
+// TODO: Auto-generated Javadoc
+/**
+ * The Class LexicalTableEditorInput.
+ *
+ * @author sloiseau
+ */
+public class ___LexicalTableEditorInput extends TXMResultEditorInput {
+
+	/** The editors. */
+	private List<EditorPart> editors;
+	
+	/** The inputs. */
+	private List<IEditorInput> inputs;
+
+	/**
+	 * Instantiates a new lexical table editor input.
+	 *
+	 * @param table the table
+	 * @param partition the partition
+	 * @param property the property
+	 */
+	public ___LexicalTableEditorInput(final LexicalTable table) {
+		super(table);
+		
+		editors = new ArrayList<EditorPart>();
+		editors.add(new TableEditor());
+
+		inputs = new ArrayList<IEditorInput>();
+
+		class LexicalTableLabelProvider extends LabelProvider implements
+				ITableLabelProvider {
+
+			@Override
+			public Image getColumnImage(Object element, int columnIndex) {
+				return null;
+			}
+
+			@Override
+			public String getColumnText(Object element, int columnIndex) {
+				int[] val = (int[]) element;
+				return String.valueOf(val[columnIndex]);
+			}
+
+		}
+
+		Tablable asTable = new AbstractTablable() {
+
+			@Override
+			public String[] getColumnTitles() {
+				return new String[] { RCPMessages.FrequencyListEditorInput_3,
+						RCPMessages.FrequencyListEditorInput_4 };
+			}
+
+			@Override
+			public String[] getColumnTypes() {
+				return new String[] { RCPMessages.FrequencyListEditorInput_5,
+						RCPMessages.FrequencyListEditorInput_6 };
+			}
+
+			@Override
+			public IStructuredContentProvider getContentProvider() {
+				return new IStructuredContentProvider() {
+					@Override
+					public Object[] getElements(Object inputElement) {
+						LexicalTable res = (LexicalTable) inputElement;
+						List<int[]> row = new ArrayList<int[]>();
+						for (int i = 0; i < res.getNRows(); i++) {
+							int[] v = null;
+							try {
+								v = res.getRow(i).asIntArray();
+							} catch (StatException e) {
+								System.err.println(NLS.bind(
+										RCPMessages.GraphicalLogger_0, e));
+							}
+							row.add(v);
+						}
+						return row.toArray();
+					}
+
+					@Override
+					public void dispose() {
+						// TODO Auto-generated method stub
+					}
+
+					@Override
+					public void inputChanged(Viewer viewer, Object oldInput,
+							Object newInput) {
+						// TODO Auto-generated method stub
+					}
+
+				};
+			}
+
+			@Override
+			public Object getInput() {
+				return table;
+			}
+
+			@Override
+			public LabelProvider getLabelProvider() {
+				return new LexicalTableLabelProvider();
+			}
+
+		};
+		inputs.add(asTable);
+
+	}
+
+
+	@Override
+	public LexicalTable getResult() {
+		return (LexicalTable) this.result;
+	}
+
+	/**
+	 * Gets the property.
+	 *
+	 * @return the property
+	 */
+	public Property getProperty() {
+		return this.getResult().getProperty();
+	}
+
+}

Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java	(revision 553)
@@ -172,9 +172,9 @@
 
 		tableSorter = new TableSorter();
 		tableSorter.setColumnTypes(tableInput.getColumnTypes());
-		if (this.iEditorInput instanceof LexicalTableEditorInput) {
-			LexicalTableEditorInput ed = (LexicalTableEditorInput) this.iEditorInput;
-			tableSorter.setLocale(ed.getLexicalTable().getPartition().getCorpus().getLocale());
+		if (this.iEditorInput instanceof ___LexicalTableEditorInput) {
+			___LexicalTableEditorInput ed = (___LexicalTableEditorInput) this.iEditorInput;
+			tableSorter.setLocale(ed.getResult().getPartition().getCorpus().getLocale());
 		}
 		viewer.setSorter(tableSorter);
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 0)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 553)
@@ -0,0 +1,678 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.lexicaltable.rcp.editors;
+
+import java.io.File;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.Collections;
+import java.util.Comparator;
+import java.util.List;
+
+import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.CellLabelProvider;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.jface.viewers.ViewerCell;
+import org.eclipse.jface.window.Window;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.layout.FormAttachment;
+import org.eclipse.swt.layout.FormData;
+import org.eclipse.swt.layout.FormLayout;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.MessageBox;
+import org.eclipse.swt.widgets.Spinner;
+import org.eclipse.swt.widgets.TableColumn;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.lexicaltable.core.functions.LexicalTable;
+import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
+import org.txm.lexicaltable.rcp.handlers.MergeLines;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.editors.TXMEditorPart;
+import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.views.QueriesView;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.statsengine.core.StatException;
+import org.txm.statsengine.core.data.Vector;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
+/**
+ * display the lexical table tools to merge/delete lines or columns and display
+ * the lexical table too
+ * 
+ * @author mdecorde
+ */
+public class LexicalTableEditor extends TXMEditorPart	{
+
+	
+	public static final String ID = LexicalTableEditor.class.getName();
+	
+	/** The table. */
+	LexicalTable lexicalTable;
+	ILexicalTable iTable;
+	
+	// params
+	/** The line table viewer. */
+	TableViewer viewer;
+
+	/** The form column. */
+	TableViewerColumn formColumn;
+
+	/** The freq column. */
+	TableViewerColumn freqColumn;
+	// org.eclipse.swt.widgets.List colCombo;
+
+	/** The minfreqspinner. */
+	Spinner minfreqspinner;
+
+	/** The top spinner. */
+	Spinner nLinesSpinner;
+
+	/** The cols. */
+	private List<double[]> cols;
+
+	/** The rows. */
+	private List<String> rows;
+
+	/** The collist. */
+	List<Object> collist;
+
+	/** The freqs. */
+	//private List<Integer> freqs;
+
+	/** The previous sorted col. */
+	private int previousSortedCol;
+	boolean DEFAULTREVERSE = false;
+	boolean reverse = DEFAULTREVERSE;
+
+
+	/**
+	 * Sort.
+	 *
+	 * @param col the col
+	 * @param index the index
+	 */
+	public void sort(TableViewerColumn col, int index) {
+
+		if (index == previousSortedCol) {
+			reverse = !reverse;
+		} else {
+			reverse = DEFAULTREVERSE;
+		}
+
+		if (index == -2) {// rownames
+			iTable.sortRowNames(reverse);
+		} else if (index == -1) { // freqs
+			try {
+				iTable.sortByFreqs(reverse);
+				StatusLine.setMessage(RCPMessages.SORT_DONE);
+			} catch (Exception e2) {
+				org.txm.rcp.utils.Logger.printStackTrace(e2);
+			}
+		} else if (index >= 0) {
+			iTable.sort(index, reverse);
+		}
+
+		previousSortedCol = index;
+		refreshTable();
+
+		viewer.getTable().setSortColumn(col.getColumn());
+		if (reverse) {
+			viewer.getTable().setSortDirection(SWT.DOWN);
+		}
+		else {
+			viewer.getTable().setSortDirection(SWT.UP);
+		}
+	}
+
+	/**
+	 * Creates the part control.
+	 *
+	 * @param parent the parent
+	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	public void createPartControl(final Composite parent) {
+		
+		super.createPartControl(parent);
+		
+		
+		lexicalTable = (LexicalTable) this.getResultData();
+		iTable = lexicalTable.getData();
+
+		
+		Composite paramArea = new Composite(this.getCommandParametersGroup(), SWT.NONE);
+
+		GridLayout paramLayout = new GridLayout(5, false);
+		paramArea.setLayout(paramLayout);
+
+		// Apply button
+		Button keepTop = new Button(paramArea, SWT.PUSH);
+		keepTop.setText(LexicalTableUIMessages.LexicalTableEditor_4);
+		keepTop.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(LexicalTableUIMessages.LexicalTableEditor_16);
+				System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_5, nLinesSpinner.getSelection(), minfreqspinner.getSelection()));
+
+				MessageBox messageBox = new MessageBox(e.display.getActiveShell(), SWT.ICON_QUESTION | SWT.YES | SWT.NO);
+				messageBox.setMessage(RCPMessages.DeleteLines_1);
+				int response = messageBox.open();
+				if (response != SWT.YES)
+					return;
+
+				try {
+					iTable.filter(nLinesSpinner.getSelection(), minfreqspinner.getSelection());
+					refresh();
+					StatusLine.setMessage(""); //$NON-NLS-1$
+				} catch (Exception e1) {
+					// TODO Auto-generated catch block
+					org.txm.rcp.utils.Logger.printStackTrace(e1);
+					StatusLine.setMessage("LT: sort error"); //$NON-NLS-1$
+				}
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+		
+		// Number of lines
+		Label nLines = new Label(paramArea, SWT.NONE);
+		nLines.setText(LexicalTableUIMessages.LexicalTableEditor_8);
+		nLinesSpinner = new Spinner(paramArea, SWT.BORDER);
+
+		// Fmin
+		Label fmin = new Label(paramArea, SWT.NONE);
+		fmin.setText(LexicalTableUIMessages.LexicalTableEditor_6);
+		minfreqspinner = new Spinner(paramArea, SWT.BORDER);
+
+		// Merge or delete columns button
+		Button fusionCol = new Button(paramArea, SWT.PUSH);
+		fusionCol.setText(LexicalTableUIMessages.LexicalTableEditor_10);
+		fusionCol.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(LexicalTableUIMessages.LexicalTableEditor_18);
+				ArrayList<Object> selection = new ArrayList<Object>();
+				MergeDeleteDialog d = new MergeDeleteDialog(e.display
+						.getActiveShell(), new ArrayList<Object>(collist),
+						selection, -1);
+
+				if (d.open() == Window.OK) {
+					List<Integer> colindices = new ArrayList<Integer>();
+					for (int i = 0; i < collist.size(); i++) {
+						if (selection.contains(collist.get(i)))
+							colindices.add(i);
+					}
+
+					if (d.doMerge()) {
+						String newname = d.getMergeName();
+
+						System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_11, colindices));
+						double[] firstcol = cols.get(colindices.get(0));
+
+						// merge selected cols into the first one
+						for (int i = 1; i < colindices.size(); i++) {
+							for (int j = 0; j < lexicalTable.getNRows(); j++) {
+								firstcol[j] += cols.get(colindices.get(i))[j];
+							}
+						}
+
+						// update first col of the Lexical table
+						for (int j = 0; j < lexicalTable.getNRows(); j++) {
+							iTable.set(j, colindices.get(0), firstcol[j]);
+						}
+
+						// and its name
+						lexicalTable.getColNames().setString(colindices.get(0), newname);
+
+						// keep only the first col
+						List<Integer> coltodelete = colindices.subList(1, colindices.size());
+						iTable.removeCols(coltodelete);
+
+						// refresh stuff
+						collist = new ArrayList<Object>();// update col name
+						// list
+						try {
+							for (String colname : lexicalTable.getColNames().asStringsArray()) {
+								collist.add(colname);
+							}
+						} catch (StatException e1) {
+							org.txm.rcp.utils.Logger.printStackTrace(e1);
+							return;
+						}
+
+						Collections.sort(colindices);// update table viewer cols
+						for (int i = colindices.size() - 1; i >= 1; i--) {
+							viewer.getTable().getColumns()[colindices.get(i) + 3].dispose();// +3 = separator,
+							// form, freq
+						}
+						viewer.getTable().getColumns()[colindices.get(0) + 3].setText(newname);
+						refreshTable();
+					} else// delete
+					{
+						System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_12, colindices));
+						iTable.removeCols(colindices);
+
+						collist = new ArrayList<Object>();
+						Vector colnames = lexicalTable.getColNames();
+						try {
+							for (String colname : colnames.asStringsArray()) {
+								collist.add(colname);
+							}
+						} catch (StatException e1) {
+							org.txm.rcp.utils.Logger.printStackTrace(e1);
+							return;
+						}
+
+						Collections.sort(colindices);
+						for (int i = colindices.size() - 1; i >= 0; i--) {
+							viewer.getTable().getColumns()[colindices
+							                                        .get(i) + 3].dispose();
+						}
+						refreshTable();
+					}
+				}
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+
+		// Merge or delete lines button
+		Button mergeDeleteRows = new Button(paramArea, SWT.PUSH);
+		mergeDeleteRows.setText(LexicalTableUIMessages.LexicalTableEditor_13);
+		mergeDeleteRows.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+
+				ArrayList<Object> selection = new ArrayList<Object>();
+				MergeDeleteDialog d = new MergeDeleteDialog(e.display
+						.getActiveShell(), new ArrayList<Object>(rows),
+						selection, -1);
+				int count = 0;
+				if (d.open() == Window.OK) {
+					int[] rowindices = new int[selection.size()];
+					for (int i = 0; i < rows.size(); i++) {
+						if (selection.contains(rows.get(i))) {
+							rowindices[count] = i;
+							count++;
+						}
+					}
+
+					if (d.doMerge()) {
+						MergeLines.mergeLines(LexicalTableEditor.this, d
+								.getMergeName(), rowindices);
+					} else {
+						iTable.removeRows(rowindices);
+						refreshTable();
+						viewer.getTable().deselectAll();
+					}
+				}
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+
+		// result
+		Composite resultArea = new Composite(parent, SWT.NONE);
+		
+		GridData gd = new GridData(GridData.FILL_BOTH);
+		gd.grabExcessVerticalSpace = true;
+		gd.grabExcessHorizontalSpace = true;
+		//gd.horizontalSpan = 2;
+		resultArea.setLayoutData(gd);
+		
+		FormLayout resultLayout = new FormLayout();
+		resultArea.setLayout(resultLayout);
+
+		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
+		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
+		viewer.getTable().setLinesVisible(true);
+		viewer.getTable().setHeaderVisible(true);
+
+		FormData tableLayoutData = new FormData();
+		tableLayoutData.top = new FormAttachment(0);
+		tableLayoutData.bottom = new FormAttachment(100);
+		tableLayoutData.left = new FormAttachment(0);
+		tableLayoutData.right = new FormAttachment(100);
+		viewer.getTable().setLayoutData(tableLayoutData);
+		CellLabelProvider clp = new CellLabelProvider() {
+			@Override
+			public void update(ViewerCell cell) { }
+		};
+		TableViewerColumn nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+		nColumn.getColumn().setText(" "); //$NON-NLS-1$
+		nColumn.getColumn().pack();
+		nColumn.setLabelProvider(clp);
+		
+		formColumn = new TableViewerColumn(viewer, SWT.LEFT);
+		formColumn.getColumn().setText(this.lexicalTable.getProperty().getName()); 
+		formColumn.getColumn().setWidth(200);
+		formColumn.getColumn().addSelectionListener(new ColumnSelectionListener(formColumn, -2));
+		formColumn.setLabelProvider(clp);
+		
+		freqColumn = new TableViewerColumn(viewer, SWT.LEFT);
+		freqColumn.getColumn().setText(RCPMessages.FrequencyListEditorInput_4); 
+		freqColumn.getColumn().setWidth(200);
+		freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(freqColumn, -1));
+		freqColumn.setLabelProvider(clp);
+		
+		collist = new ArrayList<Object>();
+		Vector colnames = lexicalTable.getColNames();
+		
+		try {
+			int[] colmargins = lexicalTable.getColMarginsVector().asIntArray();
+			int i = 0;
+			for (String colname : colnames.asStringsArray()) {
+				// partColumn = new TableColumn(lineTableViewer.getTable(),
+				// SWT.RIGHT);
+				TableViewerColumn partColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+				partColumn.getColumn().setText(colname+" t="+colmargins[i]); //$NON-NLS-1$
+				partColumn.getColumn().setToolTipText(colname); 
+				collist.add(colname);
+				partColumn.getColumn().setWidth(200);
+				partColumn.getColumn().addSelectionListener(new ColumnSelectionListener(partColumn, i));
+				partColumn.setLabelProvider(clp);
+				i++;
+			}
+		} catch (StatException e1) {
+			org.txm.rcp.utils.Logger.printStackTrace(e1);
+			return;
+		}
+
+//		nColumn = new TableViewerColumn(viewer, SWT.RIGHT);
+//		nColumn.getColumn().setText(""); //$NON-NLS-1$
+//		nColumn.getColumn().pack();
+
+		viewer.setContentProvider(new LineContentProvider());
+		viewer.setInput(lexicalTable);
+		parent.layout();
+
+		viewer.refresh();
+		viewer.getTable().setSortColumn(formColumn.getColumn());
+		viewer.getTable().setSortDirection(SWT.UP);
+
+		refresh();
+		
+		createContextMenu(viewer);
+		
+		//this.commandParametersGroup.pack();
+	}
+
+	private void refreshColNames() throws StatException, CqiClientException {
+		TableColumn[] cols = viewer.getTable().getColumns();
+		String[] colnames = lexicalTable.getColNames().asStringsArray();
+
+		for (int i = 0 ; i < cols.length ; i++) {
+			cols[i].setText(colnames[i]+ "T="+lexicalTable.getPartition().getParts().get(i).getSize()); //$NON-NLS-1$
+		}
+	}
+
+	/**
+	 * Refreshes the description area.
+	 */
+	public void refreshInfos() {
+		try {
+			this.setContentDescription(TXMCoreMessages.T + iTable.getTotal()
+					+ TXMCoreMessages.V + iTable.getNRows()
+					+ TXMCoreMessages.FMIN_2 + iTable.getFmin()
+					+ TXMCoreMessages.FMAX_2 + iTable.getFmax());
+		} catch (Exception e3) {
+			// TODO Auto-generated catch block
+			org.txm.rcp.utils.Logger.printStackTrace(e3);
+		}
+	}
+
+	/**
+	 * Refresh table.
+	 */
+	public void refreshTable() {
+		
+		LineLabelProvider labelprovider = new LineLabelProvider(this.lexicalTable);
+		this.viewer.setLabelProvider(labelprovider);
+		this.cols = labelprovider.getCols();
+		this.rows = labelprovider.getRows();
+		//this.freqs = labelprovider.getFreqs();
+
+
+		// Refresh and pack the columns
+		TXMEditorPart.packColumns(this.viewer);
+		
+		updateEditorFromResult();
+		
+		this.viewer.getTable().setFocus();
+	}
+	
+	@Override
+	public void refresh(boolean update)	{
+		this.refreshTable();
+		this.viewer.getTable().deselectAll();
+		this.refreshInfos();
+		super.refresh();
+		
+		QueriesView.refresh();
+		RVariablesView.refresh();
+	}
+	
+	/**
+	 * Creates the context menu.
+	 *
+	 * @param tableViewer the table viewer
+	 */
+	private void createContextMenu(TableViewer tableViewer) {
+
+		MenuManager menuManager = new MenuManager();
+		Menu menu = menuManager.createContextMenu(tableViewer.getTable());
+		tableViewer.getTable().setMenu(menu);
+		getSite().registerContextMenu(menuManager, tableViewer);
+		getSite().setSelectionProvider(tableViewer);
+	}
+
+	
+	/**
+	 * Sets the col comparator.
+	 *
+	 * @param comp the comp
+	 * @param col the col
+	 */
+	private void setColComparator(Comparator comp, TableColumn col) {
+		/*
+		 * currentComparator = comp;
+		 * if (lineTableViewer.getTable().getSortColumn()!=col){
+		 * lineTableViewer.getTable().setSortColumn(col);
+		 * lineTableViewer.getTable().setSortDirection(SWT.UP); } else
+		 * if (lineTableViewer.getTable().getSortDirection() ==SWT.UP){
+		 * lineTableViewer.getTable().setSortDirection(SWT.DOWN);
+		 * currentComparator = new ReverseComparator(currentComparator); } else
+		 * lineTableViewer.getTable().setSortDirection(SWT.UP);
+		 * currentComparator.initialize(cooc.getCorpus());
+		 */
+	}
+
+	/**
+	 * Gets the corpus.
+	 *
+	 * @return the corpus
+	 */
+	public Corpus getCorpus() {
+		return null;
+	}
+
+	/**
+	 * The listener interface for receiving columnSelection events.
+	 * The class that is interested in processing a columnSelection
+	 * event implements this interface, and the object created
+	 * with that class is registered with a component using the
+	 * component's <code>addColumnSelectionListener<code> method. When
+	 * the columnSelection event occurs, that object's appropriate
+	 * method is invoked.
+	 *
+	 * @see ColumnSelectionEvent
+	 */
+	public class ColumnSelectionListener implements SelectionListener {
+
+		/** The col. */
+		TableViewerColumn col;
+
+		/** The index. */
+		int index;
+
+		/**
+		 * Instantiates a new column selection listener.
+		 *
+		 * @param formColumn the form column
+		 * @param index the index
+		 */
+		public ColumnSelectionListener(TableViewerColumn formColumn, int index) {
+			this.col = formColumn;
+			this.index = index;
+		}
+
+		/* (non-Javadoc)
+		 * @see org.eclipse.swt.events.SelectionListener#widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent)
+		 */
+		@Override
+		public void widgetDefaultSelected(SelectionEvent e) {
+		}
+
+		/* (non-Javadoc)
+		 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
+		 */
+		@Override
+		public void widgetSelected(SelectionEvent e) {
+			StatusLine.setMessage(RCPMessages.SORT_COLUMN);
+			sort(col, index);
+			StatusLine.setMessage(""); //$NON-NLS-1$
+		}
+	}
+
+	/**
+	 * Gets the line table viewer.
+	 *
+	 * @return the line table viewer
+	 */
+	public TableViewer getlineTableViewer() {
+		return viewer;
+	}
+
+	/**
+	 * Gets the lexical table.
+	 *
+	 * @return the lexical table
+	 */
+	public LexicalTable getLexicalTable() {
+		return lexicalTable;
+	}
+
+	/**
+	 * Gets the cols.
+	 *
+	 * @return the cols
+	 */
+	public List<double[]> getCols() {
+		return cols;
+	}
+
+	/**
+	 * Export data.
+	 *
+	 * @param file the file
+	 */
+	 @Deprecated
+	public void exportData(File file) {
+		iTable.exportData(file, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
+	}
+
+	/**
+	 * Import data.
+	 *
+	 * @param file the file
+	 */
+	 @Deprecated
+	public void importData(File file) {
+		try {
+			if (iTable.importData(file)) {
+				// fix col names
+				String[] colnames = lexicalTable.getColNames().asStringsArray();
+				TableColumn[] cols = viewer.getTable().getColumns();
+				if (colnames.length > cols.length) {
+					System.out.println(LexicalTableUIMessages.LexicalTableEditor_1+Arrays.toString(cols)+LexicalTableUIMessages.LexicalTableEditor_7+Arrays.toString(colnames)+" ");  //$NON-NLS-1$
+					return;
+				}
+				for (int i = 0; i < colnames.length ; i++) {
+					//System.out.println("set col name "+colnames[i]);
+					cols[3 + i].setText(colnames[i]);
+				}
+				viewer.refresh();
+				viewer.setInput(lexicalTable);
+				viewer.getTable().getParent().layout();
+				refreshTable();
+			} else {
+				System.out.println(LexicalTableUIMessages.LexicalTableEditor_14);
+			}
+		} catch(Exception e) {
+			System.out.println(LexicalTableUIMessages.LexicalTableEditor_15+e);
+			org.txm.rcp.utils.Logger.printStackTrace(e);
+		}
+	}
+
+
+	 @Override
+	public void updateEditorFromResult() {
+		super.updateEditorFromResult();
+		nLinesSpinner.setMinimum(1);
+		nLinesSpinner.setMaximum(iTable.getNRows());
+		nLinesSpinner.setSelection(iTable.getNRows());
+		minfreqspinner.setMinimum(iTable.getFmin());
+		minfreqspinner.setMaximum(iTable.getFmax());
+
+	}
+
+
+	@Override
+	public void updateResultFromEditor() {
+		// TODO Auto-generated method stub
+		
+	}
+}

